<?php
include_once('../../../php/sessionStart.php');
include_once('../../../php/db/dbExec.php');
include_once('../../../php/functions.php');
include_once('../../../php/timezone.php');
include_once('../../../php/privileges.php');

$bitForm = "fel4030";
$bitMod = "fel";
$empCod = $_SESSION['empCod'];
$usuCod = utf8_decode($_SESSION['usuCod']);
$usuNom = utf8_decode($_SESSION['usuNom']);

switch ($_POST['action']) {
	case 'consultarTiposer':
		echo consultarTiposer();
		break;

	case 'guardar':
		echo guardar();
		break;

	case 'borrar':
		echo borrar();
		break;
}

function consultarTiposer() {
	global $empCod;
	$txtCod=utf8_decode($_POST['txtCod']);

	# QUERYS
	$sTiposer = "SELECT TRIM(ts_cod) AS ts_cod,
				TRIM(ts_nom) AS ts_nom
				FROM tiposer WHERE ts_cod='$txtCod'";

	# EJECUCION DE QUERYS
	$db = new dbExec();
	$resp = $db->sEx($sTiposer, "tiposer");
	$db->close();

	$func = new functions();

	return $func->jsonEncodeArray($resp, "tiposer");
}


function guardar() {
	global $empCod, $usuNom, $bitMod, $bitForm;

	$priv = new privileges();
	if (!$priv->modify($_SESSION['usuPriv'])) {
		return json_encode($priv->rErrorModify());
	}

	$func = new functions();

	$txtCod=$_POST['txtCod'];
	$txtNom=utf8_decode($_POST['txtNom']);

	# QUERYS PARA UN REGISTRO
	$iTiposer = "INSERT INTO tiposer(ts_cod, ts_nom) VALUES ('$txtCod','$txtNom')";

	$uTiposer = "UPDATE tiposer SET ts_nom='$txtNom' WHERE ts_cod='$txtCod'";

	# EJECUCION DE QUERYS 
	$db = new dbExec();
	if ($func->stringToBool($_POST['nuevo'])) {
		$resp = $db->iEx($iTiposer);
		$db->iEx($func->iBitacora(utf8_decode("Se creó Tipo de Servicio, Codigo: $txtCod   txtNom Usuario: ").$usuNom, $bitMod, $bitForm));
	} else {
		$resp = $db->uEx($uTiposer);
		$db->iEx($func->iBitacora(utf8_decode("Se modificó Tipo de Servicio, Codigo: $txtCod   $txtNom Usuario: ").$usuNom, $bitMod, $bitForm));
	}
	
	$db->close();

	return json_encode($resp);
}

function borrar() {
	global $empCod, $usuNom, $bitMod, $bitForm;

	$func = new functions();

	$txtCod=$_POST['txtCod'];
	$txtNom=$_POST['txtNom'];

	# QUERYS
	$dTiposer = "DELETE FROM tiposer WHERE ts_cod='$txtCod'";

	# EJECUCION DE QUERYS 
	$db = new dbExec();
	$resp = $db->dEx($dTiposer);
	$db->iEx($func->iBitacora(utf8_decode("Se borró el Tipo de Servicio, Codigo: $txtCod  $txtNom Usuario: ").$usuNom, $bitMod, $bitForm));
	$db->close();

	return json_encode($resp);
}
?>